Bug 1575221

Summary: [abrt] dc_validate_global_state: general protection fault in dc_validate_global_state [amdgpu]
Product: [Fedora] Fedora Reporter: shirokuro005
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 28CC: airlied, bskeggs, ewk, hdegoede, ichavero, itamar, jarodwilson, jglisse, john.j5live, jonathan, josef, kernel-maint, linville, mchehab, mjg59, steved
Target Milestone: ---Flags: jforbes: needinfo?
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/102354c3d1a8c082ee5c0fda18f9143c9802ffad
Whiteboard: abrt_hash:c6cfd5e87da8bd204971723a4402bf8d6982c579;VARIANT_ID=workstation;
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-08-29 15:05:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: dmesg none

Description shirokuro005 2018-05-05 07:40:48 UTC
Description of problem:
Connect a DVI cable to a second monitor.
Window system detect the second monitor and show background image on it, but first monitor blanks out.

Additional info:
reporter:       libreport-2.9.5
general protection fault: 0000 [#1] SMP NOPTI
Modules linked in: fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun devlink arc4 md4 nls_utf8 cifs ccm dns_resolver fscache nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables nct6775 hwmon_vid sunrpc vfat fat edac_mce_amd kvm_amd ccp kvm wmi_bmof irqbypass snd_hda_codec_realtek snd_hda_codec_generic crct10dif_pclmul crc32_pclmul snd_hda_codec_hdmi ghash_clmulni_intel snd_hda_intel
 snd_hda_codec snd_hda_core sp5100_tco snd_hwdep joydev snd_seq i2c_piix4 snd_seq_device snd_pcm snd_timer snd soundcore shpchp wmi video acpi_cpufreq amdkfd amd_iommu_v2 amdgpu chash i2c_algo_bit gpu_sched drm_kms_helper ttm drm crc32c_intel r8169 mii
CPU: 6 PID: 1963 Comm: gnome-shell Not tainted 4.16.5-300.fc28.x86_64 #1
Hardware name: To Be Filled By O.E.M. To Be Filled By O.E.M./X370 Pro4, BIOS P4.50 01/24/2018
RIP: 0010:dcn_validate_bandwidth+0xcaa/0x1ba0 [amdgpu]
RSP: 0018:ffffac12cad1fa40 EFLAGS: 00010293
RAX: ffff9512a9c64008 RBX: ffff9512a9c64000 RCX: ffff95130336e400
RDX: ffff9512a9c64dd0 RSI: 97566ddbdb99f712 RDI: 0000000000000003
RBP: 0000000000000780 R08: 0000000000000002 R09: 0000000000000001
R10: 000000000000000b R11: 0000000000000004 R12: 0000000100000000
R13: ffff95130d784400 R14: 0000000000000000 R15: ffff951303300000
FS:  00007fc6a7d13280(0000) GS:ffff95131ed80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00005624aece5e88 CR3: 000000040a1e0000 CR4: 00000000003406e0
Call Trace:
 dc_validate_global_state+0x24d/0x2a0 [amdgpu]
 amdgpu_dm_atomic_check+0x184/0x3c0 [amdgpu]
 drm_atomic_check_only+0x3b5/0x550 [drm]
 drm_atomic_commit+0x13/0x50 [drm]
 drm_atomic_helper_set_config+0x80/0x90 [drm_kms_helper]
 __drm_mode_set_config_internal+0x67/0x110 [drm]
 drm_mode_setcrtc+0x400/0x5e0 [drm]
 ? _cond_resched+0x15/0x30
 ? mutex_lock+0xe/0x30
 ? drm_mode_getcrtc+0x160/0x160 [drm]
 drm_ioctl_kernel+0x5b/0xb0 [drm]
 drm_ioctl+0x1c0/0x380 [drm]
 ? drm_mode_getcrtc+0x160/0x160 [drm]
 amdgpu_drm_ioctl+0x49/0x80 [amdgpu]
 do_vfs_ioctl+0xa4/0x610
 SyS_ioctl+0x74/0x80
 do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: b0 1d 00 00 f3 0f 11 80 08 1f 00 00 f3 0f 11 b8 d8 1e 00 00 31 f6 83 79 4c 04 40 0f 94 c6 8d 74 36 1d 89 b0 50 1f 00 00 48 8b 31 <83> 3e 04 0f 84 11 07 00 00 c7 80 80 1f 00 00 1e 00 00 00 c7 80 
RIP: dcn_validate_bandwidth+0xcaa/0x1ba0 [amdgpu] RSP: ffffac12cad1fa40

Comment 1 shirokuro005 2018-05-05 07:41:04 UTC
Created attachment 1431849 [details]
File: dmesg

Comment 2 Justin M. Forbes 2018-07-23 14:56:16 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.17.7-200.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 3 Justin M. Forbes 2018-08-29 15:05:19 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.